<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.buy507.mall.mapper.UmsTransferrecordMapper">
    <resultMap id="TransResultMap" type="com.buy507.mall.model.UmsTransferrecord">
        <id column="id" jdbcType="BIGINT" property="Id" /><!--主鍵 ID -->
        <result column="member_nickname" jdbcType="VARCHAR" property="MemberName"/><!--转账會員昵称 -->
        <result column="receiver_nickname" jdbcType="VARCHAR" property="ReceiverName"/><!--接收會員昵称 -->
        <result column="receiver_phone" jdbcType="VARCHAR" property="Phone"/><!--接收會員电话 -->
        <result column="value" jdbcType="DECIMAL" property="Value" /><!--會員值 -->
        <result column="note" jdbcType="VARCHAR" property="Note"/><!--备注-->
        <result column="create_time" jdbcType="TIMESTAMP" property="CreateTime"/><!--创建时间-->
    </resultMap>
    <select id="selectAll" resultMap="TransResultMap">
        SELECT
              *
          FROM dms_member_transfer_record m
    </select>
</mapper>
